/*
	Examples altered from http://obeybrew.com
*/

#include "huc.h"

#incspr(bonk,"bonk.pcx",0,0,2,2);
#incpal(bonkpal,"bonk.pcx");

void spr_make(int spriteno, int spritex, int spritey, int spritepattern, int ctrl1, int ctrl2, int sprpal, int sprpri)
{
	spr_set(spriteno);
	spr_x(spritex);
	spr_y(spritey);
	spr_pattern(spritepattern);
	spr_ctrl(ctrl1,ctrl2);
	spr_pal(sprpal);
	spr_pri(sprpri);
}

void main()
{
	int j1, bonkx, bonky;

	bonkx = 100;
	bonky = 100;

	load_palette(16,bonkpal,1);
	load_vram(0x5000,bonk,0x100);

	init_satb();
	spr_make(0, bonkx, bonky, 0x5000, FLIP_MAS|SIZE_MAS, NO_FLIP|SZ_32x32, 0, 1);
	satb_update();

	while(1)
	{
		vsync();
		j1 = joy(0);
		if (j1 & JOY_LEFT)
		{
			spr_ctrl(FLIP_X_MASK,FLIP_X);
			if (bonkx > -8) 
				bonkx--;
		}
		if (j1 & JOY_RGHT)
		{
			spr_ctrl(FLIP_X_MASK,NO_FLIP_X);
			if (bonkx < 232)
				bonkx++;
		}
		if (j1 & JOY_UP)
		{
			spr_ctrl(FLIP_Y_MASK,NO_FLIP_Y);
			if (bonky > -8) 
				bonky--;
		}
		if (j1 & JOY_DOWN)
		{
			spr_ctrl(FLIP_Y_MASK,FLIP_Y);
			if (bonky < 190)
				bonky++;
		}
		spr_x(bonkx);
		spr_y(bonky);
		satb_update();
	}
}
