#include "huc.h"

#incchr(my_font, "font.pcx", 32, 3);

void SetFontColors(int palette, int back, int text, int shade)
{
	set_color(palette*16+1, back);
	set_color(palette*16+2, text);
	set_color(palette*16+3, shade);
}

int RGB(int R, int G, int B)
{
	return((G << 6) + (R << 3) + (B));
}

void setupFont()
{
	load_font(my_font, 96);
	set_font_pal(14);

	SetFontColors(14, RGB(7, 7, 7), RGB(0, 7, 0), RGB(3, 3, 3));
	SetFontColors(15, RGB(7, 7, 7), RGB(0, 0, 7), RGB(3, 3, 3));
}

void main()
{
	setupFont();

	set_font_pal(14);
	put_string("PC Engine says:", 2, 12);
	set_font_pal(15);
	put_string("Hello CCD", 18, 12);

	while(1)
	{
		vsync();
	}
}